VS Code中报错:无法加载文件 D:\nodejs\node_global\webpack.ps1,因为在此系统上禁止运行脚本...

发布于:2021-09-13 20:19:37

今天在开发中使用到了 yarn,之前全局安装了yarn,并且在 cmd 中也可以正常使用,但是在VS Code中报出了错误。如下信息:


无法加载文件 D:
odejs
ode_globalwebpack.ps1,因为在此系统上禁止运行脚本,
有关详细信息,请参阅 https:/go.microsoft.com/fwlink/?LinkID=135170

解决方案:
首先以管理员的身份运行 VS Code .在终端执行 get-ExecutionPolicy,打印显示出 Restricted,表示禁止状态.接下来在终端执行 set-ExecutionPolicy RemoteSigned.在此输入 get-ExecutionPolicy查看,显示 RemoteSigned.

之后再使用yarn install 时,就不会再出现如上所述的问题了,出现其他同样类似情况也是同样的解决方案。

相关推荐